org.apache.ode.bpel.engine

## Class PartnerLinkMyRoleImpl

- java.lang.Object
- - org.apache.ode.bpel.engine.PartnerLinkMyRoleImpl

-     public class PartnerLinkMyRoleImpl
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PartnerLinkMyRoleImpl.RoutingInfo`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Endpoint` | `_endpoint` The local endpoint for this "myrole".
    `protected EndpointReference` | `_initialEPR`
    `protected OPartnerLink` | `_plinkDef`
    `protected BpelProcess` | `_process`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<PartnerLinkMyRoleImpl.RoutingInfo>` | `findRoute(MyRoleMessageExchangeImpl mex)`
    `java.util.List<PartnerLinkMyRoleImpl.RoutingInfo>` | `findRoute(MyRoleMessageExchangeImpl mex, boolean enqueue)`
    `void` | `invokeInstance(MyRoleMessageExchangeImpl mex, PartnerLinkMyRoleImpl.RoutingInfo routing)`
    `void` | `invokeNewInstance(MyRoleMessageExchangeImpl mex, PartnerLinkMyRoleImpl.RoutingInfo routing)`
    `boolean` | `isCreateInstance(MyRoleMessageExchangeImpl mex)`
    `boolean` | `isOneWayOnly()`
    `void` | `noRoutingMatch(MyRoleMessageExchangeImpl mex, java.util.List<PartnerLinkMyRoleImpl.RoutingInfo> routings)` Deprecated. - Now an attempt is made to identify the correct routing in the BpelProcess.invokeProcess() with enqueue enabled.
    `void` | `noRoutingMatch(MyRoleMessageExchangeImpl mex, PartnerLinkMyRoleImpl.RoutingInfo routing)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _endpoint

          public Endpoint _endpoint

      The local endpoint for this "myrole".

    - #### _plinkDef

          protected OPartnerLink _plinkDef

    - #### _initialEPR

          protected EndpointReference _initialEPR

    - #### _process

          protected BpelProcess _process

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### isCreateInstance

          public boolean isCreateInstance(MyRoleMessageExchangeImpl mex)

    - #### findRoute

          public java.util.List<PartnerLinkMyRoleImpl.RoutingInfo> findRoute(MyRoleMessageExchangeImpl mex)

    - #### findRoute

          public java.util.List<PartnerLinkMyRoleImpl.RoutingInfo> findRoute(MyRoleMessageExchangeImpl mex,
                                                                             boolean enqueue)

    - #### invokeNewInstance

          public void invokeNewInstance(MyRoleMessageExchangeImpl mex,
                                        PartnerLinkMyRoleImpl.RoutingInfo routing)

    - #### invokeInstance

          public void invokeInstance(MyRoleMessageExchangeImpl mex,
                                     PartnerLinkMyRoleImpl.RoutingInfo routing)

    - #### noRoutingMatch

          public void noRoutingMatch(MyRoleMessageExchangeImpl mex,
                                     java.util.List<PartnerLinkMyRoleImpl.RoutingInfo> routings)

      Deprecated. - Now an attempt is made to identify the correct routing in the BpelProcess.invokeProcess() with enqueue enabled.
      Parameters:
        `mex` -
        `routings` -

    - #### noRoutingMatch

          public void noRoutingMatch(MyRoleMessageExchangeImpl mex,
                                     PartnerLinkMyRoleImpl.RoutingInfo routing)

    - #### isOneWayOnly

          public boolean isOneWayOnly()